Update Organisation
Update an organisation's name and description.
Authorization: caller must be an admin or owner. The slug is
immutable via this endpoint - only name and description are
applied for a regular caller. A caller with global access may
additionally set is_active, require_sso, and
provisioning_mode - these fields are silently ignored (not a
403) for a non-admin caller, matching this endpoint's existing
behavior of ignoring fields it doesn't apply.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "description": "string", "avatar_url": "string", "is_personal": false, "owner_username": "string", "is_active": true, "require_sso": false, "provisioning_mode": "invite_only", "created_at": "2019-08-24T14:15:22Z", "member_count": 0, "custom_variables": { "property1": "string", "property2": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}